<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: sha1</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="R.css">
</head><body>

<table width="100%" summary="page for sha1 {SparkR}"><tr><td>sha1 {SparkR}</td><td align="right">R Documentation</td></tr></table>

<h2>sha1</h2>

<h3>Description</h3>

<p>Calculates the SHA-1 digest of a binary column and returns the value
as a 40 character hex string.
</p>


<h3>Usage</h3>

<pre>
## S4 method for signature 'Column'
sha1(x)

sha1(x)
</pre>


<h3>See Also</h3>

<p>Other misc_funcs: <code><a href="crc32.html">crc32</a></code>, <code><a href="crc32.html">crc32</a></code>;
<code><a href="md5.html">md5</a></code>, <code><a href="md5.html">md5</a></code>; <code><a href="sha2.html">sha2</a></code>,
<code><a href="sha2.html">sha2</a></code>
</p>


<h3>Examples</h3>

<pre>
## Not run: sha1(df$c)
</pre>

<hr><div align="center">[Package <em>SparkR</em> version 1.6.1 <a href="00Index.html">Index</a>]</div>
</body></html>
